Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalTabbedPaneUI.TabbedPaneLayout

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout
            |
            +--javax.swing.plaf.metal.MetalTabbedPaneUI.TabbedPaneLayout

public class MetalTabbedPaneUI.TabbedPaneLayout
extends BasicTabbedPaneUI.TabbedPaneLayout

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of MetalTabbedPaneUI.

Constructor Summary
`MetalTabbedPaneUI.TabbedPaneLayout()`

Method Summary
`protected void` | `normalizeTabRuns(int tabPlacement, int tabCount, int start, int max)`
`protected void` | `padSelectedTab(int tabPlacement, int selectedIndex)`
`protected void` | `rotateTabRuns(int tabPlacement, int selectedRun)`

Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout
`addLayoutComponent, calculateLayoutInfo, calculateSize, calculateTabRects, layoutContainer, minimumLayoutSize, padTabRun, preferredLayoutSize, preferredTabAreaHeight, preferredTabAreaWidth, removeLayoutComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalTabbedPaneUI.TabbedPaneLayout

    public MetalTabbedPaneUI.TabbedPaneLayout()

Method Detail

### normalizeTabRuns

    protected void normalizeTabRuns(int tabPlacement,
                                    int tabCount,
                                    int start,
                                    int max)

  Overrides:
    normalizeTabRuns in class BasicTabbedPaneUI.TabbedPaneLayout

### rotateTabRuns

    protected void rotateTabRuns(int tabPlacement,
                                 int selectedRun)

  Overrides:
    rotateTabRuns in class BasicTabbedPaneUI.TabbedPaneLayout

### padSelectedTab

    protected void padSelectedTab(int tabPlacement,
                                  int selectedIndex)

  Overrides:
    padSelectedTab in class BasicTabbedPaneUI.TabbedPaneLayout

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.